org.jgroups.protocols

## Class Locking.ServerCondition

- java.lang.Object
- - org.jgroups.protocols.Locking.ServerCondition

- Enclosing class:
    Locking

      protected class Locking.ServerCondition
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Locking.ServerLock` | `lock`
    `protected java.util.Queue<Owner>` | `queue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locking.ServerCondition(Locking.ServerLock lock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addWaiter(Owner waiter)`
    `void` | `removeWaiter(Owner waiter)`
    `void` | `signal(boolean all)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lock

          protected final Locking.ServerLock lock

    - #### queue

          protected final java.util.Queue<Owner> queue

  - ### Constructor Detail

    - #### Locking.ServerCondition

          public Locking.ServerCondition(Locking.ServerLock lock)

  - ### Method Detail

    - #### addWaiter

          public void addWaiter(Owner waiter)

    - #### removeWaiter

          public void removeWaiter(Owner waiter)

    - #### signal

          public void signal(boolean all)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.